<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>front-end-drameworks</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 id="front-end-frameworks-v2.6">Front-end Frameworks v2.6</h1>
    <p>
      A collection of best front-end frameworks for faster and easier web
      development.
    </p>
    <p>
      You can <strong>Compare</strong> all front-end frameworks here:
      http://usablica.github.com/front-end-frameworks/compare.html
    </p>
    <h2 id="icecream">IceCream</h2>
    <blockquote>
      <p>Simple and light responsive grid system</p>
    </blockquote>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://html5-ninja.com/icecream</p>
    <h2 id="formee-framework-for-forms">Formee Framework for forms</h2>
    <blockquote>
      <p>
        Formee is nothing but a framework to help you develop and customize web
        based forms. Crossbrowser: Don’t worry about having your form being
        rendered differently in the major browsers. Flexible:It fits into your
        project, it’s flexible enough to adapt to the width you have available
        for the form. Customizable:You can easily change between a stylish form
        or a minimalist one. It comes with the basic needed for you to put your
        touch in it.
      </p>
    </blockquote>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://www.formee.org/</p>
    <h2 id="kb-grid">1kb grid</h2>
    <p>
      Other CSS frameworks try to do everything—grid system, style reset, basic
      typography, form styles. But complex systems are, well, complex. Looking
      for a simple, lightweight approach that doesn’t require a PhD? Meet The
      1KB CSS Grid.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://www.1kbgrid.com/</p>
    <h2 id="framework">52framework</h2>
    <p>
      With HTML5 support coming so fast, with the tiniest of hacks we are able
      to use it today in virtually all browsers. Using HTML5 makes for much
      cleaner mark up. This framework fully uses all the great advantages of
      HTML5.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://52framework.com/</p>
    <h2 id="concise">Concise</h2>
    <blockquote>
      <p>
        Lightweight, highly customizable, scalable, Sass-based, OOCSS framework.
        LESS and Stylus ports also available.
      </p>
    </blockquote>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://concisecss.com/</p>
    <h2 id="bootstrap">Bootstrap</h2>
    <blockquote>
      <p>
        Sleek, intuitive, and powerful front-end framework for faster and easier
        web development.
      </p>
    </blockquote>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://getbootstrap.com/</p>
    <h2 id="grid-system">960 Grid System</h2>
    <blockquote>
      <p>Simple grid system</p>
    </blockquote>
    <p>
      The 960 Grid System is an effort to streamline web development workflow by
      providing commonly used dimensions, based on a width of 960 pixels. There
      are two variants: 12 and 16 columns, which can be used separately or in
      tandem.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://960.gs/</p>
    <h2 id="lime-html-kickstart">99lime HTML KickStart</h2>
    <blockquote>
      <p>Ultra–Lean HTML Building Blocks for Rapid Website Production.</p>
    </blockquote>
    <p>
      HTML KickStart is an ultra–lean set of HTML5, CSS, and jQuery (javascript)
      files, layouts, and elements designed to give you a headstart and save you
      10’s of hours on your next web project.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://www.99lime.com/</p>
    <h2 id="baseline">Baseline</h2>
    <blockquote>
      <p>
        Baseline is a framework built around the idea of a “real” baseline grid.
      </p>
    </blockquote>
    <p>
      Built with typographic standards in mind, Baseline makes it easy to
      develop a website with a pleasing grid and good typography. Baseline
      starts with several files to reset the browser’s default behavior, build a
      basic typographic layout — including style for HTML forms and new HTML 5
      elements — and build a simple grid system.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://www.baselinecss.com/</p>
    <h2 id="blueprint">Blueprint</h2>
    <p>
      Blueprint is a CSS framework, which aims to cut down on your development
      time. It gives you a solid foundation to build your project on top of,
      with an easy-to-use grid, sensible typography, useful plugins, and even a
      stylesheet for printing.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://www.blueprintcss.org/</p>
    <h2 id="bluetrip">BlueTrip</h2>
    <p>
      A full featured and beautiful CSS framework which originally combined the
      best of Blueprint, Tripoli (hence the name), Hartija, 960.gs, and
      Elements, but has now found a life of its own.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://bluetrip.org/</p>
    <h2 id="boilerplate">Boilerplate</h2>
    <blockquote>
      <p>
        noun standardized pieces of text for use as clauses in contracts or as
        part of a computer program.
      </p>
    </blockquote>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://code.google.com/p/css-boilerplate/</p>
    <h2 id="cascade-framework">Cascade Framework</h2>
    <blockquote>
      <p>
        Powerful OOCSS front-end framework optimised for performance and
        flexibility.
      </p>
    </blockquote>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://cascade-framework.com/</p>
    <h2 id="cascade-framework-light">Cascade Framework Light</h2>
    <blockquote>
      <p>
        An even more lightweight version of Cascade Framework, containing just
        the bare essentials.
      </p>
    </blockquote>
    <p><strong>Responsive:</strong> Yes</p>
    <p>
      <strong>Website:</strong>
      https://github.com/jslegers/cascadeframeworklight/
    </p>
    <h2 id="easy-framework">Easy Framework</h2>
    <blockquote>
      <p>Your new starting point for every front-end projects!</p>
    </blockquote>
    <p>
      Easy is a CSS/HTML/JavaScript framework started as a personal project and
      then grew into something more. The idea behind it is to reduce the amount
      of time spent on setting up the basic master HTML template by reusing the
      same coding techniques.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://easyframework.com/</p>
    <h2 id="elasticss">elastiCSS</h2>
    <p>
      A simple css framework to layout web-based interfaces, based on the
      printed layout techniques of 4 columns but with capabilities to unlimited
      column combinations. and capacity to make elastic, fixed and liquid layout
      easily
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://elasticss.com/</p>
    <h2 id="elements">Elements</h2>
    <blockquote>
      <p>Elements is a down to earth CSS framework.</p>
    </blockquote>
    <p>
      It was built to help designers write CSS faster and more efficient.
      Elements goes beyond being just a framework, it’s its own project
      workflow.It has everything you need to complete your project, which makes
      you and your clients happy.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://elements.projectdesigns.org/</p>
    <h2 id="emastic">Emastic</h2>
    <p>
      Emastic is a CSS Framework, it’s continuing mission: to explore a strange
      new world, to seek out new life and new web spaces, to boldly go where no
      CSS Framework has gone before.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://code.google.com/p/emastic/</p>
    <h2 id="fem-css-framework">FEM CSS Framework</h2>
    <p>
      FEM CSS Framework is a 960px width + 12 column grid system + CSS common
      styles, to easy and fast develop web layouts. It is based in the 960 Grid
      System, but with a twist in the philosophy to make it more flexible and
      faster to play with boxes.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p>
      <strong>Website:</strong>
      http://www.frontendmatters.com/projects/fem-css-framework/
    </p>
    <h2 id="flaminwork">Flaminwork</h2>
    <blockquote>
      <p>The tiny front-end framework for lazy developers.</p>
    </blockquote>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://flaminwork.com/</p>
    <h2 id="fluid">Fluid</h2>
    <p>
      The Fluid 960 Grid System templates have been built upon the work of
      Nathan Smith and his 960 Grid System using effects from the MooTools and
      jQuery JavaScript libraries.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://www.designinfluences.com/fluid960gs/</p>
    <h2 id="foundation">Foundation</h2>
    <blockquote>
      <p>The most advanced responsive front-end framework in the world.</p>
    </blockquote>
    <p>
      Foundation is built with Sass, a powerful CSS preprocessor, which allows
      us to much more quickly develop Foundation itself and gives you new tools
      to quickly customize and build on top of Foundation.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://foundation.zurb.com/</p>
    <h2 id="g5-framework">G5 Framework</h2>
    <blockquote>
      <p>(X)HTML5, CSS3, PHP &amp; jQuery Front End Framework.</p>
    </blockquote>
    <p>
      G5 Framework started as a personal project. In an attempt to speed up
      workflow, reuse the best coding practices &amp; similar coding techniques,
      the framework serves as a starter file for new websites.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://framework.gregbabula.info/</p>
    <h2 id="groundworkcss">GroundworkCSS</h2>
    <p>
      A responsive framework with a fractional, semantic grid system built with
      Sass &amp; Compass.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://groundwork.sidereel.com/</p>
    <h2 id="gumby">Gumby</h2>
    <p>
      Gumby is a responsive 960 grid CSS framework. The grid lets you lay out
      pages quickly and easily in a natural, logical way. The framework is
      packaged with tons of styles and common interface elements to help you
      quickly put together functional prototypes.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://gumbyframework.com</p>
    <h2 id="helium">Helium</h2>
    <p>
      Helium is a framework for rapid prototyping and production-ready
      development. In many ways it’s similar to both Twitter Bootstrap and ZURB
      Foundation - in fact, it uses bits of their code. Unlike either of these
      two frameworks, however, Helium is designed to be much more lightweight
      and easier to tinker with.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> https://github.com/cbrauckmuller/helium</p>
    <h2 id="ink">Ink</h2>
    <blockquote>
      <p>Ink is a set of tools for quick development of web interfaces.</p>
    </blockquote>
    <p>
      It offers a fluid and responsive grid, common interface elements,
      interactive components, a design-first approach with ease of use and
      simplicity at its core. Start integrating Ink in your projects and remove
      the hassle of building the basics, staying free to focus on what’s
      important.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://ink.sapo.pt/</p>
    <p><strong>Github:</strong> http://github.com/sapo/ink/</p>
    <h2 id="kickoff">Kickoff</h2>
    <blockquote>
      <p>
        A lightweight front-end framework for creating scalable, responsive
        sites
      </p>
    </blockquote>
    <p>
      Kickoff is an actively maintained front-end framework, created by Zander
      Martineau and Ashley Nolan.
    </p>
    <p>
      The framework is not meant to be too prescriptive - we don’t want to force
      developers into a certain coding style - and so can be used as a starting
      point for any type of project.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://tmwagency.github.io/kickoff/</p>
    <p><strong>Github:</strong> https://github.com/tmwagency/kickoff</p>
    <h2 id="kube">Kube</h2>
    <blockquote>
      <p>CSS-framework for professional developers.</p>
    </blockquote>
    <p>
      Minimal and enough. Adaptive and responsive. Revolution grid and beautiful
      typography. No imposed styles and freedom.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://imperavi.com/kube/</p>
    <h2 id="layers">Layers</h2>
    <blockquote>
      <p>
        Lightweight. Unobtrusive. Style-agnostic. Build your look on the web,
        not Twitter’s – and build it fluid.
      </p>
    </blockquote>
    <p>Layers CSS is aimed for practical use and comes with zero bullshit.</p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://eiskis.net/layers/</p>
    <p>
      <strong>Bitbucket:</strong>
      https://bitbucket.org/Eiskis/layers-css/src/tip/source/layers/
    </p>
    <h2 id="less-framework">Less Framework</h2>
    <blockquote>
      <p>An adaptive CSS grid system.</p>
    </blockquote>
    <p>
      Less Framework is a CSS grid system for designing adaptive web­sites. It
      contains 4 layouts and 3 sets of typography presets, all based on a single
      grid.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://lessframework.com/</p>
    <h2 id="lovely-css-framework">Lovely CSS Framework</h2>
    <blockquote>
      <p>
        The Lovely CSS Framework is a simple and straight forward way to easily
        deploy an XHTML/CSS site.
      </p>
    </blockquote>
    <p>
      Based on a simple 960px wide grid system, featuring multiple column
      layouts, and various pluggable add-ons.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://code.google.com/p/lovely-css/</p>
    <h2 id="malo">Malo</h2>
    <blockquote>
      <p>Malo is ultra small css library for building web sites.</p>
    </blockquote>
    <p>
      Malo is ultra small css library for building web sites. It is meant to be
      structural base for small or medium web sites. Malo derives from it’s
      bigger brother Emastic CSS Framework.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://code.google.com/p/malo/</p>
    <h2 id="purecss">PureCSS</h2>
    <blockquote>
      <p>
        A set of small, responsive CSS modules that you can use in every web
        project, built by the YUI team at Yahoo!.
      </p>
    </blockquote>
    <p>
      PureCSS is a collection of responsive ‘drop-ins’ built with - you guessed
      it! - pure CSS! The PureCSS website also has a skin builder on their
      website, so you’re restricted by default colors no more.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://purecss.io/</p>
    <h2 id="ribs">Ribs</h2>
    <blockquote>
      <p>
        The evolution of Skeleton: A Beautiful Boilerplate for Responsive,
        Mobile-Friendly Development.
      </p>
    </blockquote>
    <p>
      Ribs is a modernised, maintained and feature rich fork of the original
      Skeleton framework.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> https://github.com/nickpack/Ribs</p>
    <h2 id="röcssti">RÖCSSTI</h2>
    <p>
      RÖCSSTI is a CSS micro-framework which includes accessibility notions,
      typo settings, IE fixes, reusable classes, ect. It is the little brother
      of <a href="http://www.knacss.com/">KNACSS</a>. It also has LESS and Sass
      versions.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p>
      <strong>Website:</strong> http://rocssti.nicolas-hoffmann.net/ &amp;
      https://github.com/nico3333fr/ROCSSTI
    </p>
    <h2 id="semantic-ui">Semantic UI</h2>
    <blockquote>
      <p>UI is the vocabulary of the web.</p>
    </blockquote>
    <p>
      Semantic empowers designers and developers by creating a language for
      sharing UI.
    </p>
    <p>
      Pure is ridiculously tiny. The entire set of modules clocks in at 4.5KB*
      minified and gzipped. Crafted with mobile devices in mind, it was
      important to us to keep our file sizes small, and every line of CSS was
      carefully considered. If you decide to only use a subset of these modules,
      you’ll save even more bytes.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://semantic-ui.com/</p>
    <p><strong>Github:</strong> https://github.com/jlukic/Semantic-UI</p>
    <h2 id="crumpet">Crumpet</h2>
    <blockquote>
      <p>A Deliciously Simple SASS/SCSS Responsive Framework</p>
    </blockquote>
    <p>
      Everything is straight forward, all of the code is commented and gives you
      instructions on how to use Crumpet, so you can spend all your time in the
      code editor.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> https://github.com/AdamMarsBar/Crumpet</p>
    <h2 id="jeet">Jeet</h2>
    <blockquote>
      <p>A CSS Grid System for Humans</p>
    </blockquote>
    <p>
      Jeet allows you to express your page grid the same way a human would
      describe it. No more needlessly nesting elements. No more rigid twelve
      column rules. Enjoy building faster with less code, and more flexibility
      with Jeet.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://jeet.gs/</p>
    <h2 id="skeleton">Skeleton</h2>
    <blockquote>
      <p>
        A Beautiful Boilerplate for Responsive, Mobile-Friendly Development.
      </p>
    </blockquote>
    <p>
      Skeleton is a small collection of CSS files that can help you rapidly
      develop sites that look beautiful at any size, be it a 17" laptop screen
      or an iPhone.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://www.getskeleton.com/</p>
    <h2 id="the-golden-grid">The Golden Grid</h2>
    <p>
      The Golden Grid is a web grid system. It ’s a product of the search for
      the perfect modern grid system. It ’s meant to be a CSS tool for grid
      based web sites.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://code.google.com/p/the-golden-grid/</p>
    <h2 id="unsemantic">Unsemantic</h2>
    <p>
      Unsemantic is a fluid grid system that is the successor to the
      <a href="http://960.gs/">960 Grid System</a>. It works in a similar way,
      but instead of being a set number of columns, it’s entirely based on
      percentages.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://unsemantic.com/</p>
    <h2 id="xcss">xCSS</h2>
    <blockquote>
      <p>Object-Oriented CSS Framework</p>
    </blockquote>
    <p>
      xCSS bases on CSS and empowers a straightforward and object-oriented
      workflow when developing complex style cascades. Using xCSS means a
      dramatic cut down to your development time by: having a intuitive overview
      of the overall CSS structure, using variables, re-using existing style
      cascades and many other handy features.
    </p>
    <p><strong>Responsive:</strong> No</p>
    <p><strong>Website:</strong> http://xcss.antpaw.org/</p>
    <h2 id="yaml">YAML</h2>
    <blockquote>
      <p>“Yet Another Multicolumn Layout” (YAML)</p>
    </blockquote>
    <p>
      YAML is an (X)HTML/CSS framework for creating modern and flexible floated
      layouts. The structure is extremely versatile in its programming and
      absolutely accessible for end users.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://www.yaml.de/</p>
    <h2 id="yui-css">YUI CSS</h2>
    <blockquote>
      <p>Simple CSS for the web</p>
    </blockquote>
    <p>
      The foundational YUI CSS is an extremely lightweight layer of responsive
      CSS for your projects. It offers a customizable responsive grid , along
      with styling for forms, tables, menus, popovers, notifications, images and
      more. Plays nice with YUI’s JavaScript Framework.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://yuilibrary.com/</p>
    <h2 id="susy">Susy</h2>
    <blockquote>
      <p>Your markup. Your design. Our math.</p>
    </blockquote>
    <p>
      The web is a responsive place, from your lithe &amp; lively development
      process to your end-user’s super-tablet-multi-magic-lap-phone. You need
      grids that are powerful yet custom, reliable yet responsive.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://susy.oddbird.net/</p>
    <p><strong>Github:</strong> https://github.com/ericam/susy/</p>
    <h2 id="inuit.css">inuit.css</h2>
    <blockquote>
      <p>
        A powerful, scalable, Sass-based, <a href="http://bem.info/">BEM</a>,
        OOCSS framework.
      </p>
    </blockquote>
    <p>
      inuit.css is a Sass based, Object Oriented framework that is full of
      objects and abstractions. inuit.css provides little-to-no design which
      means no undoing things, no deleting CSS and no adhering to other peoples’
      design decisions.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://inuitcss.com/</p>
    <p><strong>Github:</strong> https://github.com/csswizardry/inuit.css/</p>
    <h2 id="bijou">Bijou</h2>
    <blockquote>
      <p>A beautiful CSS framework under 2kb</p>
    </blockquote>
    <p>A small, yet beautiful CSS framework that weighs in under 2kb.</p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://andhart.github.io/bijou</p>
    <p><strong>Github:</strong> https://github.com/andhart/bijou</p>
    <h2 id="bootmetro">bootmetro</h2>
    <blockquote>
      <p>metro style web framework</p>
    </blockquote>
    <p>
      simple and flexible web framework to create elegant and modern web
      applications with the same look &amp; feel of Windows 8.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://aozora.github.io/bootmetro/</p>
    <p><strong>Github:</strong> https://github.com/aozora/bootmetro</p>
    <h2 id="stacklayout">StackLayout</h2>
    <blockquote>
      <p>A flexible width, component based CSS layout system</p>
    </blockquote>
    <p>
      StackLayout makes it incredibly easy to use semantic class names for
      particular areas of your site, such as the main navigation or a thumbnail
      gallery, or for the entire site as part of your deployment process.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://www.stacklayout.com/</p>
    <p><strong>Github:</strong> https://github.com/camslice/StackLayout</p>
    <h2 id="ivory-framework">IVORY Framework</h2>
    <blockquote>
      <p>imple, Flexible, Powerful</p>
    </blockquote>
    <p>
      Responsive front-end web framework. Makes your front-end development
      faster and easier. Takes you all theway from 1200PX on down to 320PX.
    </p>
    <p><strong>Responsive:</strong> Yes</p>
    <p><strong>Website:</strong> http://weice.in/ivory/</p>
    <p><strong>Github:</strong> https://github.com/kanthvallampati/IVORY</p>
  </body>
</html>
